Bug 1008096 - Escape key to cancel transaction confirmation dialog freezes yumex
Escape key to cancel transaction confirmation dialog freezes yumex
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 13:15 EDT by Khumba
Modified: 2013-10-12 00:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: yumex-3.0.12-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 22:03:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Khumba 2013-09-14 13:15:50 EDT
Description of problem:  The Escape key closes the "Processing pending actions" confirmation dialog, but it seems like nothing listens to that signal.  The dialog closes, but Yumex just sits there with a busy cursor on the output pane with all controls disabled.


Version-Release number of selected component (if applicable): 3.0.10-2.fc19


How reproducible: Always.


Steps to Reproduce:
1. Open Yumex, add some packages to a transaction (install/remove/upgrade).
2. Click Apply, wait for the confirmation dialog to appear.
3. Press Escape.

Actual results: Yumex freezes.


Expected results: Should behave the same as the Cancel button.
Comment 1 Tim Lauridsen 2013-09-16 05:17:58 EDT
This is fixed in current upstream.
Comment 2 Fedora Update System 2013-09-22 06:25:56 EDT
yumex-3.0.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yumex-3.0.12-1.fc20
Comment 3 Fedora Update System 2013-09-22 06:26:43 EDT
yumex-3.0.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yumex-3.0.12-1.fc19
Comment 4 Fedora Update System 2013-09-22 20:05:42 EDT
Package yumex-3.0.12-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yumex-3.0.12-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17378/yumex-3.0.12-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-30 22:03:46 EDT
yumex-3.0.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-12 00:27:29 EDT
yumex-3.0.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.